Skip to main content
GET
/
api
/
v2
/
affiliate
/
aff-billing
/
preferences
Get billing preferences
curl --request GET \
  --url 'https://{domain}/api/v2/affiliate/aff-billing/preferences/?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "affiliate-billing-details": {
      "invoice_frequency": {
        "id": 123,
        "title": "<string>"
      },
      "invoice_days_of_the_month": "<string>",
      "invoice_day_of_the_week": "<string>",
      "generate_invoice_automatically": 123,
      "payment_terms": {
        "id": 123,
        "title": "<string>"
      },
      "beneficiary_name": "<string>",
      "beneficiary_country": {
        "id": 123,
        "title": "<string>",
        "country_code": "<string>"
      },
      "beneficiary_region": "<string>",
      "beneficiary_city": "<string>",
      "beneficiary_address": "<string>",
      "beneficiary_postcode": "<string>",
      "billing_email": "<string>",
      "tax_id": "<string>",
      "vat": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Response

Billing preferences.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object